/* ========== [ general ] ========== */
*, *::before, *::after {
  box-sizing: border-box;
}
:root {
  --theme-font-color: #00277f;
  --theme-border-color: #f0f6ff;
  --theme-bg-color: #d4e5fb;
  --disable-bg-color: #f9f9f9;

  --theme-dark-bg-color: #bdcde8;

  --normal-border-color: #eaeaea;
  --dark-border-color: #dddddd;
  --light-font-color: #999999;
}
#pre-form {
  max-width: 920px;
  display: flex;
  flex-direction: column;
  gap: 3rem;
}
#pre-form .colored {
  color: var(--theme-font-color);
  font-weight: 600;
}
#pre-form .box-wrapper {
  border: 1px solid var(--dark-border-color);
  border-radius: 2rem;
  padding: 2rem;
  background-color: white;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
/* ========== [ 인적사항 작성 form ] ========== */
#pre-form form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
#pre-form h3 {
  font-size: 2rem;
  text-align: center;
  margin: 2rem auto;
}
#pre-form .form-title-wrapper {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 1.8rem;
}
#pre-form .input-container,
#pre-form #new-addr-container {
  display: flex;
  flex-direction: column;
  font-size: 1.6rem;
  gap: 1rem;
  max-width: 500px;
}
#pre-form .input-container label {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
#pre-form .input-container input[type="text"],
#pre-form .input-container select {
  border: 1px solid var(--dark-border-color);
  height: 5rem;
  padding: 1rem 2rem;
  font-size: 1.6rem;
  border-radius: 2rem;
}
#pre-form .input-container input[type="text"]:focus,
#pre-form .input-container select:focus {
  outline: none;
  box-shadow: 0 0 1rem var(--theme-font-color);
  transition: box-shadow 250ms ease-in-out;
}
#pre-form .input-container input[type="text"]:read-only,
#pre-form .input-container select[readonly] {
  background-color: var(--disable-bg-color);
  color: var(--dark-border-color);
}
#pre-form .input-container button {
  padding: 1rem 2rem;
  font-size: 1.6rem;
  font-weight: 600;
  border: none;
  border-radius: 2rem;
  color: var(--theme-font-color);
  background-color: var(--theme-bg-color);
}
/* 계좌 인증 */
button#bank-auth-btn::before {
  content: "계좌 인증하기";
}
button#bank-auth-btn.done::before {
  content: "계좌 인증완료";
}
button#bank-auth-btn.done {
  background-color: var(--dark-border-color);
}
button#bank-auth-btn.done:hover {
  background-color: var(--dark-border-color) !important;
}

/* ========== [ radio 설정 ] ========== */
#pre-form .input-container label.radio-label {
  display: inline-flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
  margin: 0 1rem;
}
#pre-form .input-container input[type="radio"] {
  appearance: none;
  border-radius: 50%;
  width: 1.25em;
  height: 1.25em;
  border: max(2px, 0.1em) solid gray;
  background-color: white;
  transition: border 250ms ease-in-out;
}
#pre-form .input-container input[type="radio"]:checked {
  border: 0.4em solid var(--theme-font-color);
}
#pre-form .input-container input[type="radio"]:focus-visible {
  outline-offset: max(2px, 0.1em);
  outline: max(2px, 0.1em) dotted var(--theme-font-color);
}

/* ========== [ 약관 동의 ] ========== */
#pre-form .agree-item {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin-top: 3rem;
}
#pre-form .agree-item .agree-title-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 1rem 2rem;

  font-size: 1.8rem;
  line-height: 2;

  border-radius: 2rem;
  color: var(--theme-font-color);
  background-color: var(--theme-bg-color);
}
#pre-form .agree-item .input-container {
  flex-direction: row !important;
}

#pre-form .agree-item .textarea {
  white-space: pre-line;
  padding: 1.5rem;
  max-height: 240px;
  font-size: 1.5rem;
  line-height: 1.6;
  border-radius: 3rem;
  overflow: scroll;
  border: 1px solid var(--dark-border-color);
}
#pre-form .agree-item .textarea hr {
  border: none;
  border-bottom: 1px solid var(--dark-border-color);
  margin: 0.5rem;
}

#pre-form #submit-btn {
  padding: 1rem 3rem;
  font-size: 2.7rem;
  font-weight: 600;
  border: none;
  border-radius: 1rem;
  color: white;
  background-color: var(--theme-font-color);
  margin: 3rem auto 6rem;
}

/* ========== [ PC only : break-point: 1024px ] ========== */
@media screen and (min-width: 1024px) {
  #pre-form .input-container input[type="radio"]:hover {
    box-shadow: 0 0 0 max(4px, 0.2em) lightgray;
    cursor: pointer;
  }
  #pre-form .input-container button:hover,
  #pre-form .input-container button:active {
    background-color: var(--theme-dark-bg-color);
  }
  .agree-title-wrapper:hover {
    cursor: pointer;
  }
}
